main {
    width: 1460px;
    margin: 50px auto;
    columns: 4;
    column-gap: 20px;
}

main div {
    width: 350px;
    margin-bottom: 20px;
    break-inside: avoid;
    border-radius: 10px;
    line-height: 0;
    position: relative;
    overflow: hidden;
    opacity: 0;
    transform: translate3d(0,20%,0);
    transition: opacity 1s, transform 1s ease-in-out;
}

main div.show {
    opacity: 1;
    transform: translate3d(0,0,0);
}

main div img {
    width: 100%;
    transition: all 0.5s;
}

main div:hover img {
    transform: scale(1.2);
}

main div::after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    box-shadow: inset 0 0 20px rgba(0, 0, 0, 0.4);
    opacity: 0;
    transition: opacity 0.5s;
}

main div:hover::after {
    opacity: 1;
}

@media (max-width: 1520px) {
    main {
        width: 1090px;
        columns: 3;
    }
}

@media (max-width: 1140px) {
    main {
        width: 920px;
        columns: 2;
    }

    main div {
        width: 450px;
    }
}

@media (max-width: 950px) {
    main {
        width: calc(100% - 40px);
        columns: 1;
    }

    main div {
        width: 100%;
        transform: translate3d(-50%,0,0);
    }
}